#
# spec file for package QTalarm
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define  _name  qtalarm
Name:           QTalarm
Version:        2.5.1
Release:        1.3
Summary:        A handy alarm clock Program written in QT
License:        GPL-3.0-only
Group:          Productivity/Office/Other
URL:            https://random-hackery.net/page/qtalarm/
Source:         https://github.com/CountMurphy/QTalarm/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5Widgets)

%description
A handy alarm clock Program written in QT.
Features:
 * Up to 15 Customization alarms
 * Can wake up using the default sound, or any of audio / video
   file of your choosing.
 * Custom Date alarms

%prep
%setup -q

%build
%qmake5
%make_jobs

%install
install -Dm 0755 %{_name} %{buildroot}%{_bindir}/%{_name}
install -Dm 0644 Icons/*_Clock.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{_name}.png
install -Dm 0644 Icons/*_Clock24.png %{buildroot}%{_datadir}/icons/hicolor/24x24/apps/%{_name}.png
install -Dm 0644 Icons/*_Clock16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{_name}.png
%suse_update_desktop_file -c %{_name} "QT Alarm" "Alarm Clock" %{_name} %{_name} Utility Clock

%files
%license LICENSE
%doc README.md
%{_bindir}/%{_name}
%{_datadir}/applications/%{_name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{_name}.??g

%changelog
* Sun Oct  8 2023 Martin Hauke <mardnh@gmx.de>
- Update to version 2.5.1
  * Fixed a race condition in the math based snooze alarm.
* Mon Sep 11 2023 Martin Hauke <mardnh@gmx.de>
- Update to version 2.5.0
  * Added One-time alarm type.
  * Added new flag for waybar toggling.
* Fri Dec 23 2022 Martin Hauke <mardnh@gmx.de>
- Update to version 2.4.0
  * Added ability to detect if another instance of the application
    is running and self terminate if so.
  * Added more verbose debug logging.
* Mon Nov 28 2022 Martin Hauke <mardnh@gmx.de>
- Update to version 2.3.2
  * Fixed crash and added default behavior for showing window on
    load.
- Update to version 2.3.1
  * Refactored some code. No feature changes.
* Sat Jan 22 2022 Martin Hauke <mardnh@gmx.de>
- Update to version 2.3.0
  * Added clone button
  * Refactored main controller a bit
* Sun Oct 17 2021 Martin Hauke <mardnh@gmx.de>
- Update to version 2.2.0
  * Added “Solve to Snooze” feature. This forces a user to solve
    a random math problem to stop the current alarm. This is
    intended for those who tend to hit snooze in their sleep.
  * Fix URL
* Tue Dec  1 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 2.1.1
  * Added manual monochrome tray icon option
* Sat Nov  7 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 2.1.0
  * auto saving all alarm data
* Mon Sep 28 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 2.0.2
  * Ui fixes: click tray icon to toggle reactive windows
  * Add license file
- Drop compatibility ifdef's for old distributions
* Mon Jan  6 2020 Martin Hauke <mardnh@gmx.de>
- Package cleanup
* Sun Jan  5 2020 Андрей Алыпов <and.november@opensuse.org>
- update to version 2.0.1
* Tue Mar 15 2016 and.november@opensuse.org
- initial package (version 1.9) for openSUSE
